package de.lusiardi.testprojekt.dto;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement // for jaxb 
public class PersonDto {

    private static int idCounter = 0;
    private int id;
    private String name;
    private String email;

    /*
     * de.lusiardi.testprojekt.dto.TestDto does not have a no-arg default 
     * constructor. this problem is related to the following location: 
     * at de.lusiardi.testprojekt.dto.TestDto
     */
    public PersonDto() {
    }

    public PersonDto(String name, String email) {
        this.id = idCounter;
        idCounter++;
        this.name = name;
        this.email = email;
    }

    public String getName() {
        return name;
    }

    public void setName(String foo) {
        this.name = foo;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 59 * hash + this.id;
        hash = 59 * hash + (this.name != null ? this.name.hashCode() : 0);
        hash = 59 * hash + (this.email != null ? this.email.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PersonDto other = (PersonDto) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
}
